Aller au contenu principal
Sujet: Valentin (Lu 716 fois) sujet précédent - sujet suivant

Valentin

Bonjour à tout le monde.

Nouvel arrivant sur Opensuse que je test sur Virtualbox (Opensuse Leap 15,1 et Opensuse Tumbleweed) avec pour but de mettre Opensuse comme distribution principal.
Actuellement je suis sur Ubuntu, je veux changer et je n’aime pas la direction que prend Ubuntu avec les snaps, j’ai essayer Debian mais pas trop aimé, Fedora qui est sympa mais faut faire des mise a niveau trop souvent.
Je trouve Opensuse Leap et Tumbleweed assez stable et agréable à utiliser. J’hesite entre les deux, avez vous des avis ou conseils pour m’aider? Je n’ai jamais étais en rolling release. Est ce que c’est assez stable sans trop de probleme ?
Comment faire pour installer un environement en minimal (gnome-core, mate-core, xfce….) ?je souhaiterais xfce minimal

Merci

Re : Valentin

Répondre #1
Hello ;)

Bienvenue, je te conseille Leap pour débuter.
Pour l'environnement minimal : n'y a t'il pas le pattern adhoc ? Essaie celui là je pense :
en root :
su -
zypper in patterns-xfce-xfce_basis

Après si tu veux éviter les paquets inutiles il y aura peut être un tri à faire (?)

Re : Valentin

Répondre #2
Bonjour et bienvenue :)
Moi je suis passée de Debian à Leap et on s'y fait bien ;)

Re : Valentin

Répondre #3
Merci.
Je vais essayer Opensuse Leap  avec patterns-xfce-xfce_basis.
Les mises a niveau de Leap ce passe bien ou il y a des bugs en general?

Re : Valentin

Répondre #4
Salut et bienvenue,
Sous openSUSE depuis 11 ans, je n'ai jamais eu de bug lors des mises à jour.
Je passe par Yast.

Re : Valentin

Répondre #5
Franchement opensuse est très solide. Et puis si tu as des bugs on est là ;)

Re : Valentin

Répondre #6
Salut Val03 et bienvenue chez nous !

En effet, Leap est une valeur sûre. Je te conseillerais tumbleweed une fois que tu auras commencé à t'approprier leap  ;)
Pour les environnements minimales, LXDE/LXQt est aussi un super environnement.

À bientôt !

Re : Valentin

Répondre #7
Merci.

Pour les mises à jour il vaut mieux passer par yast ou avec zypper update et zypper dup?

J'ai vu que certaine personnes ajouter des dépôts communautaires ( Packman Repositoty, Libdvdcss Repositoty) est-ce nécessaire? Je ne connais pas trop yast.

Merci


Re : Valentin

Répondre #9
Citer
J'ai vu que certaine personnes ajouter des dépôts communautaires ( Packman Repositoty, Libdvdcss Repositoty) est-ce nécessaire? Je ne connais pas trop yast.
Yast, c'est tout simple à utiliser.
Pour les dépôts communautaires, tu vas dans Yast la bien nommée puis "Dépôts de logiciels" , "Ajouter" , et tu sélectionne "Dépôts communautaires".







Re : Valentin

Répondre #10
Bonjour, je voudrais savoir pourquoi quand je fais une mise à jour avec le terminal il me dit :
sudo zypper update 
Chargement des données du dépôt...
Lecture des paquets installés...

Les 21 mises à jour de paquets suivantes ne seront PAS installées :
  gstreamer-plugins-bad gstreamer-plugins-bad-lang libavcodec57 libavformat57
  libavutil55 libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0
  libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0
  libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0
  libgsturidownloader-1_0-0 libgstwayland-1_0-0 libquicktime0 libsox3
  libswresample2 libswscale4 sox

Rien à faire.
Pourquoi il ne fait pas les 21 mises à jour?
Merci

Re : Valentin

Répondre #11
Ben, parce qu'ils sont déjà installés et à jour

Re : Valentin

Répondre #12
pour répondre au question
leap/tumbleweed:
La leap à moins de mis à jours mais à une grosse misse à jours une foi par ans, il me semble, qu'il faut faire quelle opération en manuel. (cf https://en.opensuse.org/SDB:System_upgrade) sur tumbleweed c'est plus de mis à jours, logiciel plus récent. niveau stabilité de dirait on est proche.

zypper up/ zypper dup (update / dist-update)
utiliser zypper up sur leap, et zypper dup sur tumbleweed.
zypper dup, a un comportement différend entre leap et tumbleweed, sur leap zypper dup par défaut permet aussi un changement de dépôts (en gros la mis à jours choisi le paquets le plus a jour de tout les dépôt,  alors que sans cette autorisation il fait la mis à jour depuis le dépôts depuis laquelle le paquets est installer)
sur tumbleweed, zypper dup ne permet pas changement de dépôts. zypper dup vas permet de faire une monté en cliché (en gros les mis à jours se font par groupe, tu peu regarder http://download.opensuse.org/tumbleweed/iso/ il y a des fichier change.AAAAMMJJ.txt qui détail les différence avec le cliché d'avant)

quand au dépôts, il y a :
les officiels, il y en a 4: oss (tout les paquet open source ) et non-oss (paquet propriétaire) + 2 dépôts pour le mis à jour (un pour oss et un non-oss), il y a aussi des dépôts avec les source.
tu as les dépôts expérimental et communauté héberger sur les serveurs opensuse. fait un tour ici https://software.opensuse.org/explore, si je ne trouve pas ce que je recherche dans les dépôts officiels, je prend d’abord dépôts expérimental puis enfin si j'ai pas le choix des dépôts utilisateurs.
tu as les dépôts packman et dvd, sa vient de la doctrine qui veut qu'il n'est pas de code non opensource dans le dépots oss, et pas de codecs propriétaire. packman contient des les logiciel multimédia avec le support des codecs multimedia, dvd le support de dvd, je règle la priorité de packman à 90 histoire qu'il choisi les paquets de packman en priorité. (la procédure est expliqué ici : https://opensuse-guide.org/codecs.php)
tu as aussi des dépôt, nvidia et ati, pour les drivers propriétaires nvidia et ati.
les dépots packman, dvd, ati, nvidia sont proposé dans yast -> dépots ->  ajouts -> dépôts communautaire.

tu peu avoir des dépôts, perso, j'ai un dépôts pour vs code et un autre pour vivaldi.
 
pour une installation léger sur sur le dvd net installe il propose, une installation avec xfce.
 

Pourquoi il ne fait pas les 21 mises à jour?
Merci
je dirait qu'il détecte une mis à jour sur un autre dépôts que celui d'origine d’où 'il est installé. vus le nom des paquets je paris que ces avec dépôts packman regarde ici : https://opensuse-guide.org/codecs.php pour t’assurai qu'ils sont bien installer depuis de dépôts packman (et dont tu as le support des codecs propriétaires)

quand autre conseil, pour openSUSE, après l'installation (et de temps au temps) utilisé la commande zypper inr (= zypper install-new-recommends) sa installe les paquets qu'il te recommande, comme les drivers, les paquets langs qui manque, ext ..

Re : Valentin

Répondre #13
Citer
La leap à moins de mis à jours mais à une grosse misse à jours une foi par ans, il me semble, qu'il faut faire quelle opération en manuel
Il faut préciser : la grosse m-à-j c'est le changement de version. Comme j'ai installé Framework5 sur Leap, entre autres, j'ai des m-à-j très régulièrement. Pour le changement de version, il suffit de changer le nom de version par ex. :15.2 à la place de 15.1 dans les dépôts. C'est très simple à effectuer avec Yast.

 

Re : Valentin

Répondre #14
Citer
La leap à moins de mis à jours mais à une grosse misse à jours une foi par ans, il me semble, qu'il faut faire quelle opération en manuel
Il faut préciser : la grosse m-à-j c'est le changement de version. Comme j'ai installé Framework5 sur Leap, entre autres, j'ai des m-à-j très régulièrement. Pour le changement de version, il suffit de changer le nom de version par ex. :15.2 à la place de 15.1 dans les dépôts. C'est très simple à effectuer avec Yast.
pour ce qui est de la grosse m-à-j, oui l'opération est simple (en fait comme installer un archlinux, c'est comme un recettes cuisine, il faut suivre les instructions) ce qui me dérange c'est faire quelle opération en manuel, sa peu faire peur, et rebuté certaine personne.
C'est pour sa que je pense qu'il faudrait une commande dans YaST qui fait tout les opérations.

quand à la quantité de mis à jours, je parle bien si on installer des dépôts officiels, si on passe sur les dépôts dit expérimentaux ou utilisateur, là oui il peu y en avoir beaucoup. Mais on perd aussi un peu l’intérêt d'avoir une fixe rolling. (version logiciel figeait et stable)